Page 1 of 1

Unable to access some webpages !

Posted: Fri Sep 21, 2018 1:15 am
by ARSManiac
I use Advanced Chrome Custom Build in a notebook with Windows XP and sometimes i encounter websites i can't access and this message appears:


This webpage is not available

ERR_SSL_VERSION_OR_CIPHER_MISMATCH


I Manage to solve this using Firefox ESR but i rather prefer Advanced Chrome because is fast and light.
How can i solve this problem?

Re: Unable to access some webpages !

Posted: Mon Sep 24, 2018 4:51 pm
by admin
Hi, ERR_SSL_VERSION_OR_CIPHER_MISMATCH is because websites are using new encryption and Advanced Chrome v54 is too old to know how to deal with that.

Sometimes newer or updated software does not means better on software industry, newer chrome versions are getting worse and not improving, they are slower and heavier.

I haven't found a way to make newer chrome to work under XP, it seems close to impossible :(

Re: Unable to access some webpages !

Posted: Sun Feb 10, 2019 12:59 pm
by ARSManiac
Enable TLS 1.3 can fix this issue?
If i write " chrome://flags/#ssl-version-max " on the adress bar can i enable it like google chrome?

Re: Unable to access some webpages !

Posted: Sun Feb 10, 2019 1:33 pm
by admin
Sadly windows XP libraries don't provide newer encryption, if you try it on windows 7 it will work.

Re: Unable to access some webpages !

Posted: Sun Feb 10, 2019 4:03 pm
by ARSManiac
Ok, thank you very much for the support :)

Re: Unable to access some webpages !

Posted: Thu Mar 07, 2019 5:11 pm
by asocialis
You can solve it: https://msfn.org/board/topic/176344-pro ... s-aka-tls/
Just install app they are offering, I think in the last post. Then configure in internet explorer options to use localhost proxy on port app says.
Chrome uses internet explorer proxy settings, unlike firefox which has internal. I tried it when I used xp few months ago and it works.
Sample website which does not work on xp in chrome is https://androidfrog.com/
Microsoft also released some updates for xp posready which can work on xp and they updated something like tls and something similar, but that did not help even with two updates i tested released in 2018. Not even on posready 2009.